/**
  ******************************************************************************
  * @file    ShiftRegister.h
  * @author  Pascal Guttmann
  * @version v1
  * @date    15 Nov 2020
  * @brief   This file contains the function prototypes and definitions to display something on the Nixie Tubes.
  ******************************************************************************
  */
#ifndef _SHIFTREGISTER_h
#define _SHIFTREGISTER_h


#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

//Uncomment for Debug
///#define SR_DEBUG

void SR_setup(void);
void SR_clear(void);
void SR_printNixie(uint8_t number[4]);



#ifdef __cplusplus
}
#endif

#endif /* _SHIFTREGISTER_h */
